Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.https
Class SSLAdapter

    java.lang.Object
      |
      +--org.w3c.jigsaw.https.SSLAdapter

public class SSLAdapter
extends java.lang.Object

Field Summary
`static java.lang.String` | `KEYSTORE_PASSWORD_P` property key for specifying the keystore password
`static java.lang.String` | `KEYSTORE_PASSWORD_S` property key for the system keystore password
`static java.lang.String` | `KEYSTORE_PATH_P` property key for specifying the keystore path
`static java.lang.String` | `KEYSTORE_PATH_S` property key for the system keystore path
`static java.lang.String` | `PROTOCOL_HANDLER_D` default TLS protocol handler (should always be set to default)
`static java.lang.String` | `PROTOCOL_HANDLER_P` property key for specifying the TLS protocol handler
`static java.lang.String` | `PROTOCOL_HANDLER_S` property key for the system protocol package lookup
`static java.lang.String` | `SECURITY_PROVIDER_D` default security provider for TLS support
`static java.lang.String` | `SECURITY_PROVIDER_P` property key for specifying the TLS security provider
`static java.lang.String` | `SSL_ENABLED_P` property key for enabling TLS support
`static java.lang.String` | `TRUSTSTORE_PASSWORD_P` property key for specifying the truststore password (future use for client mode)
`static java.lang.String` | `TRUSTSTORE_PASSWORD_S` property key for the system keystore password (future usage for client mode)
`static java.lang.String` | `TRUSTSTORE_PATH_P` property key for specifying the truststore path (future use for client mode)
`static java.lang.String` | `TRUSTSTORE_PATH_S` property key for the system truststore path (future usage for client mode)
`protected java.net.URL` | `url` uri of the daemon in question
`static java.lang.String` | `version` version string of the adapter class

Constructor Summary
`SSLAdapter(httpd server)` constructor for a TLS support adapter

Method Summary
`java.lang.String` | `getBanner(java.lang.String banner)` method for supplying a TLS support banner
`java.net.URL` | `getURL()` method for supplying a daemon uri
`void` | `initializeProperties()` method for initializing the properties of a daemon
`void` | `initializePropertySets()` method for registering TLS property management
`void` | `perform(RequestInterface req)` method for preparing a reply interface for a request
`boolean` | `propertyChanged(java.lang.String name)` method for handling a dynamic property modification of a daemon
`boolean` | `sslEnabled()` method for indicating TLS support

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

  version string of the adapter class

  See Also:
    Constant Field Values

### SSL_ENABLED_P

    public static final java.lang.String SSL_ENABLED_P

  property key for enabling TLS support

  See Also:
    Constant Field Values

### PROTOCOL_HANDLER_P

    public static final java.lang.String PROTOCOL_HANDLER_P

  property key for specifying the TLS protocol handler

  See Also:
    Constant Field Values

### SECURITY_PROVIDER_P

    public static final java.lang.String SECURITY_PROVIDER_P

  property key for specifying the TLS security provider

  See Also:
    Constant Field Values

### KEYSTORE_PATH_P

    public static final java.lang.String KEYSTORE_PATH_P

  property key for specifying the keystore path

  See Also:
    Constant Field Values

### KEYSTORE_PASSWORD_P

    public static final java.lang.String KEYSTORE_PASSWORD_P

  property key for specifying the keystore password

  See Also:
    Constant Field Values

### TRUSTSTORE_PATH_P

    public static final java.lang.String TRUSTSTORE_PATH_P

  property key for specifying the truststore path (future use for client mode)

  See Also:
    Constant Field Values

### TRUSTSTORE_PASSWORD_P

    public static final java.lang.String TRUSTSTORE_PASSWORD_P

  property key for specifying the truststore password (future use for client mode)

  See Also:
    Constant Field Values

### PROTOCOL_HANDLER_S

    public static final java.lang.String PROTOCOL_HANDLER_S

  property key for the system protocol package lookup

  See Also:
    Constant Field Values

### KEYSTORE_PATH_S

    public static final java.lang.String KEYSTORE_PATH_S

  property key for the system keystore path

  See Also:
    Constant Field Values

### KEYSTORE_PASSWORD_S

    public static final java.lang.String KEYSTORE_PASSWORD_S

  property key for the system keystore password

  See Also:
    Constant Field Values

### TRUSTSTORE_PATH_S

    public static final java.lang.String TRUSTSTORE_PATH_S

  property key for the system truststore path (future usage for client mode)

  See Also:
    Constant Field Values

### TRUSTSTORE_PASSWORD_S

    public static final java.lang.String TRUSTSTORE_PASSWORD_S

  property key for the system keystore password (future usage for client mode)

  See Also:
    Constant Field Values

### SECURITY_PROVIDER_D

    public static final java.lang.String SECURITY_PROVIDER_D

  default security provider for TLS support

  See Also:
    Constant Field Values

### PROTOCOL_HANDLER_D

    public static final java.lang.String PROTOCOL_HANDLER_D

  default TLS protocol handler (should always be set to default)

  See Also:
    Constant Field Values

### url

    protected java.net.URL url

  uri of the daemon in question

Constructor Detail

### SSLAdapter

    public SSLAdapter(httpd server)

  constructor for a TLS support adapter

Parameters:
  `server` - reference to the daemon in question

Method Detail

### initializePropertySets

    public void initializePropertySets()

  method for registering TLS property management

### initializeProperties

    public void initializeProperties()
                              throws ServerHandlerInitException

  method for initializing the properties of a daemon

  Throws:
    `ServerHandlerInitException` - thrown if initialization fails

### propertyChanged

    public boolean propertyChanged(java.lang.String name)

  method for handling a dynamic property modification of a daemon

  Parameters:
    `name` - name of the property modified
  Returns:
    true if and only if the modification has been successfully handled

### perform

    public void perform(RequestInterface req)
                 throws ProtocolException

  method for preparing a reply interface for a request

  Parameters:
    `req` - the current request to be handled
  Throws:
    `ProtocolException` - thrown if the request url is malformed

### getURL

    public java.net.URL getURL()

  method for supplying a daemon uri

  Returns:
    uri of the daemon in question

### getBanner

    public java.lang.String getBanner(java.lang.String banner)

  method for supplying a TLS support banner

  Parameters:
    `banner` - the original banner of the daemon in question
  Returns:
    composed banner for the daemon in question

### sslEnabled

    public boolean sslEnabled()

  method for indicating TLS support

  Returns:
    flag for indicating TLS support enabled

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD